Bug 729970 - Review Request: jandex - Java Annotation Indexer
Summary: Review Request: jandex - Java Annotation Indexer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 12:32 UTC by Marek Goldmann
Modified: 2011-09-20 17:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-20 17:00:00 UTC
rgrunber: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-08-11 12:32:44 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jandex/1/jandex.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jandex/1/jandex-1.0.0-1.fc17.src.rpm
Description: This package contains Java Annotation Indexer

$ rpmlint ./jandex.spec 
./jandex.spec: W: invalid-url Source0: jandex-1.0.0.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jandex-1.0.0-1.fc17.src.rpm 
jandex.src: I: enchant-dictionary-not-found en_US
jandex.src: W: invalid-url Source0: jandex-1.0.0.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3265807

Comment 1 Roland Grunberg 2011-09-09 16:31:08 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[X]  Rpmlint output:
jandex.spec: W: invalid-url Source0: jandex-1.0.0.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 854f7ca05b4b04de614085f18ab431a0
MD5SUM upstream package: 854f7ca05b4b04de614085f18ab431a0
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[X]  Permissions on files are set properly.
[X]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[X]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[X]  Package contains code, or permissable content.
[X]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.
[X]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant
[X]  pom files has correct add_maven_depmap

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[X]  Package DOES NOT use %update_maven_depmap in %post/%postun
[X]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.

Tested on: fedora-rawhide-i386 configuration for mock and 2.6.40.3-0.fc15.i686 for the maven build.

Doesn't seem to be any problems.

Comment 2 Marek Goldmann 2011-09-19 12:57:27 UTC
Thank you for review!

New Package SCM Request
=======================
Package Name:      jandex
Short Description: Java Annotation Indexer
Owners:            goldmann

Comment 3 Gwyn Ciesla 2011-09-19 13:04:40 UTC
Git done (by process-git-requests).

Comment 4 Marek Goldmann 2011-09-20 17:00:00 UTC
Thanks for git, closing!


Note You need to log in before you can comment on or make changes to this bug.